Author Topic: support for nvidia GT 430 (SOLVED)  (Read 1651 times)

theteju

  • Veteran
  • ***
  • Posts: 122
    • View Profile
support for nvidia GT 430 (SOLVED)
« on: March 10, 2011, 03:50:28 am »
This is probably asking too much at a time when developers are busy for 10.04.
I just purchased a card since I got a decent deal on and the card is GT 430 with 1gig ddr3 ram. here is my stupid questions,

I am still running 8.10 and the max nvidia driver supported is 195 glx
When I check nvidia website, i think the card I got will not or might not properly work with 195 as nothing says on their website. http://www.nvidia.com/object/winxp_195.55.html

I it possible I can manually install 260 driver on my MD? If yes, I think I also need to edit the nvidia-install.sh script under /usr/pluto/bin so that I does not look for 195. I am not sure but thats my understanding.

I do not want to bother developers on channel just for my case.

I hope someone will guide me here to get my one and only MD working. Why did I buy 430 , because , I tried 210 which made little too noise, I tried 240 it worked like charm but putting just 10$ more I got 430 which could be little future proof. Please help me to get my little puppy working,

Thanking in advance,

take care.
« Last Edit: March 11, 2011, 02:45:24 am by theteju »

joshpond

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: support for nvidia GT 430
« Reply #1 on: March 10, 2011, 06:14:09 am »
Hi,

I really don't know much at all and can't help much so listen to anyone who knows more that comes along but if you have a read of:
http://forum.linuxmce.org/index.php?topic=11254.0
It may get you started. That trac ticket was what they went through to get the nvidia driver for the 260 (I think) not install and to install the 190 instead.
Sorry memory is a bit patchy but I had to apply those changes to get my core to boot.

Josh
My Setup: On it's way

theteju

  • Veteran
  • ***
  • Posts: 122
    • View Profile
Re: support for nvidia GT 430
« Reply #2 on: March 10, 2011, 08:49:42 am »
thanks for the reply.

some dev helped me on lirc , according to them, I can manually install 260 on md. the problem is I am unable to kill the X server on MD to run the installer (downloaded from nvidia's website).

I dont know how to init 3

chroot /usr/pluto/diskless/## giving me scary warning...and asking me to use init 3

According to one  , I will replace nvidia-install.sh with only exit 0 in it on My MD. Question is, will it break my install? what problem I will face down the road by modifying that script?

thanks again.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2846
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: support for nvidia GT 430
« Reply #3 on: March 10, 2011, 09:34:26 am »
on the core do the following steps: (replace ## with the device ID of your media director)
Code: [Select]
sudo -i
ssh moon<##>
killall Start_X_Wrapper.sh
# or try telinit 3
# run the nvidia installer

rperre

  • Guru
  • ****
  • Posts: 264
    • View Profile
Re: support for nvidia GT 430
« Reply #4 on: March 10, 2011, 10:21:10 pm »
theteju, i can't find a place to put files, since it's not that big, i'll attach it to this post. Hope the admin's don't mind.

Changing the nvidia-install.sh script on your md will not break your install, and i said make a backup before doing so.

I would try:

* change the nvidia-install.sh to just exit (make backup first) This way the 195 driver will not be re-installed on reboot
* install latest nvidia driver (see above to kill X, etc.)
* reboot with /usr/pluto/RebootWithAVWizard.sh

If you still have no sound and alsa is still not there, install alsa through apt-get install.

If you need to upgrade alsa, here is a script that does that, it's a little dated, but can be adjusted to the newest.

Good luck,

Richard

theteju

  • Veteran
  • ***
  • Posts: 122
    • View Profile
Re: support for nvidia GT 430 (SOLVED)
« Reply #5 on: March 11, 2011, 02:44:07 am »
Thank you Posde and Richard,

Finally GT 430 is working on my MD.

Thanks Richard, Alsa script was useful although I had to follow the wiki for dual sound card since Nvidia has its own sound card on it.

One way or other,, for now GT 430 is working with latest nvidia driver. I do not know what trouble I would face by playing with nvidia-install.sh script. we will see.

Thanks again.  ;)

bret

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: support for nvidia GT 430 (SOLVED)
« Reply #6 on: March 07, 2012, 10:09:01 pm »
I know this is an old post but I have a GT 430 on 810 and am having trouble getting alsa to work with it.  I would like to use the HDMI audio on this card.  I have tried the script on this site (http://ubuntuforums.org/showthread.php?t=1681577) to upgrade to .24 and/or 25 but I still get alsa 23 as my version.  I have also tried the steps in this site (http://monespaceperso.org/blog-en/2010/05/02/upgrade-alsa-1-0-23-on-ubuntu-lucid-lynx-10-04/) to upgrade alsa.  I have also tried the steps on nvidia's site (ftp://download.nvidia.com/XFree86/gpu-hdmi-audio-document/gpu-hdmi-audio.html)  I also reached out to nvidia about how to get this working and they suggested to upgrade alsa from 23.


Any help you or anyone else can be in solving this issue would be greatly appreciated.

Thank you,

Bret